package com.hai.service.impl;

import com.hai.dao.HighGoodsPriceReferMapper;
import com.hai.entity.HighGoodsPriceRefer;
import com.hai.entity.HighGoodsPriceReferExample;
import com.hai.entity.HighMerchant;
import com.hai.service.HighGoodsPriceReferService;
import org.apache.commons.collections4.MapUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description: 产品销售价格配置
 * @Date: 2021/3/14 16:26
 */
@Service("highGoodsPriceReferService")
public class HighGoodsPriceReferServiceImpl implements HighGoodsPriceReferService {

    @Resource
    private HighGoodsPriceReferMapper highGoodsPriceReferMapper;

    @Override
    public void insertPriceRefer(HighGoodsPriceRefer highGoodsPriceRefer) {
        highGoodsPriceReferMapper.insert(highGoodsPriceRefer);
    }

    @Override
    public void couponAllPriceInvalid(Long couponId) {
        List<Integer> statusList = new ArrayList<>();
        statusList.add(1);
        statusList.add(2);
        statusList.add(3);
        statusList.add(101);
        HighGoodsPriceReferExample example = new HighGoodsPriceReferExample();
        example.createCriteria().andObjectIdEqualTo(couponId).andStatusIn(statusList);

        List<HighGoodsPriceRefer> referList = highGoodsPriceReferMapper.selectByExample(example);
        if (referList != null && referList.size() > 0) {
            for (HighGoodsPriceRefer refer : referList) {
                refer.setStatus(4);
                highGoodsPriceReferMapper.updateByPrimaryKey(refer);
            }
        }
    }

    @Override
    public void couponAllInvalidKeepCurrent(Long couponId) {
        List<Integer> statusList = new ArrayList<>();
        statusList.add(1);
        statusList.add(2);
        statusList.add(101);

        HighGoodsPriceReferExample example = new HighGoodsPriceReferExample();
        example.createCriteria().andObjectIdEqualTo(couponId).andStatusIn(statusList);

        List<HighGoodsPriceRefer> referList = highGoodsPriceReferMapper.selectByExample(example);
        if (referList != null && referList.size() > 0) {
            for (HighGoodsPriceRefer refer : referList) {
                refer.setStatus(4);
                highGoodsPriceReferMapper.updateByPrimaryKey(refer);
            }
        }
    }


}
